DROP TABLE CRST_CE_STATEMENT_HEADERS_ALL;

CREATE TABLE CRST_CE_STATEMENT_HEADERS_ALL
(
  STATEMENT_HEADER_ID      NUMBER(15)           NOT NULL,
  BANK_ACCOUNT_ID          NUMBER(15)           NOT NULL,
  STATEMENT_NUMBER         VARCHAR2(50)         NOT NULL,
  STATEMENT_DATE           DATE                 NOT NULL,
  CREATED_BY               NUMBER(15)           NOT NULL,
  CREATION_DATE            DATE                 NOT NULL,
  LAST_UPDATED_BY          NUMBER(15)           NOT NULL,
  LAST_UPDATE_DATE         DATE                 NOT NULL,
  AUTO_LOADED_FLAG         VARCHAR2(1)          NOT NULL,
  GL_DATE                  DATE                 NOT NULL,
  CONTROL_BEGIN_BALANCE    NUMBER,
  CONTROL_TOTAL_DR         NUMBER,
  CONTROL_TOTAL_CR         NUMBER,
  CONTROL_END_BALANCE      NUMBER,
  CONTROL_DR_LINE_COUNT    NUMBER,
  CONTROL_CR_LINE_COUNT    NUMBER,
  CURRENCY_CODE            VARCHAR2(15),
  LAST_UPDATE_LOGIN        NUMBER(15),
  ATTRIBUTE_CATEGORY       VARCHAR2(30),
  ATTRIBUTE1               VARCHAR2(150),
  ATTRIBUTE2               VARCHAR2(150),
  ATTRIBUTE3               VARCHAR2(150),
  ATTRIBUTE4               VARCHAR2(150),
  ATTRIBUTE5               VARCHAR2(150),
  ATTRIBUTE6               VARCHAR2(150),
  ATTRIBUTE7               VARCHAR2(150),
  ATTRIBUTE8               VARCHAR2(150),
  ATTRIBUTE9               VARCHAR2(150),
  ATTRIBUTE10              VARCHAR2(150),
  ATTRIBUTE11              VARCHAR2(150),
  ATTRIBUTE12              VARCHAR2(150),
  ATTRIBUTE13              VARCHAR2(150),
  ATTRIBUTE14              VARCHAR2(150),
  ATTRIBUTE15              VARCHAR2(150),
  STATEMENT_COMPLETE_FLAG  VARCHAR2(1),
  ORG_ID                   NUMBER(15),
  DOC_SEQUENCE_ID          NUMBER,
  DOC_SEQUENCE_VALUE       NUMBER,
  CHECK_DIGITS             VARCHAR2(30),
  CASHFLOW_BALANCE         NUMBER,
  INT_CALC_BALANCE         NUMBER,
  STATEMENT_HEADER_ID_NEW  NUMBER(15)   
);


